"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _types = require("@commitlint/types");

var _commitlintPluginGitmoji = _interopRequireDefault(require("commitlint-plugin-gitmoji"));

var _parserOpts = _interopRequireDefault(require("@gitmoji/parser-opts"));

var _commitTypes = _interopRequireDefault(require("@gitmoji/commit-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Error = _types.RuleConfigSeverity.Error;
var rules = {
  // gitmoji 规则
  'start-with-gitmoji': [Error, 'always'],
  // 使用 Angular 的类型
  'type-enum': [Error, 'always', _commitTypes.default],
  // 内容以空行开始
  'body-leading-blank': [Error, 'always'],
  // 结尾以空行开始
  'footer-leading-blank': [Error, 'always'],
  // 标题最大长度 100 个字符
  'header-max-length': [Error, 'always', 100],
  // Scope 永远小写
  'scope-case': [Error, 'always', 'lower-case'],
  // 不允许标题空着
  'subject-empty': [Error, 'never'],
  // 不允许使用句号
  'subject-full-stop': [Error, 'never', '.'],
  // type 必须小写
  'type-case': [Error, 'always', 'lower-case'],
  // type 不能为空
  'type-empty': [Error, 'never']
};
var parserPreset = {
  parserOpts: _parserOpts.default,
  plugins: {
    gitmoji: _commitlintPluginGitmoji.default
  }
};
var config = {
  rules: rules,
  parserPreset: parserPreset,
  plugins: [_commitlintPluginGitmoji.default]
};
var _default = config;
exports.default = _default;
module.exports = exports.default;